package intrinsic.mx.events;

public class FileEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.flash.filesystem.File file;

	/** Constants */
	public static final String VERSION = "version";
	public static final String DIRECTORY_CHANGING = "directory_changing";
	public static final String DIRECTORY_CLOSING = "directory_closing";
	public static final String DIRECTORY_CHANGE = "directory_change";
	public static final String FILE_CHOOSE = "file_choose";
	public static final String DIRECTORY_OPENING = "directory_opening";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FileEvent() {
}

public FileEvent(String arg0) {
}

public FileEvent(String arg0, boolean arg1) {
}

public FileEvent(String arg0, boolean arg1, boolean arg2) {
}

public FileEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.filesystem.File arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
